PyGame no Python 3.2 - Instalação no Ubuntu 12.04

Publicado por Paulo em 05/03/2013

[ Hits: 10.136 ]

 


PyGame no Python 3.2 - Instalação no Ubuntu 12.04



Esta dica pressupõe que o usuário já tenha o Python 3.2 instalado.

Primeiramente precisamos instalar as dependências para o PyGame.

Em um terminal, digite:

sudo apt-get install libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-ttf2.0-dev libsdl1.2-dev libsmpeg-dev python-numpy mercurial libportmidi-dev libportmidi0 libavformat-dev libswscale-dev

Agora criaremos uma pasta para baixar o código do PyGame. Após o tutorial essa pasta pode ser deletada:

mkdir temp
$ cd temp


No mesmo terminal vamos baixar o código do PyGame (pode demorar, dependendo de sua conexão):

hg clone https://bitbucket.org/pygame/pygame
$ cd pygame


Agora podemos ver se as dependências foram satisfeitas corretamente:

python3.2 config.py

Se tudo for encontrado (found) sem problemas, podemos instalar o PyGame:

python3.2 setup.py build
$ sudo python3.2 setup.py install


Pronto! Agora vamos testar se tudo está funcionando. Digite em um terminal:

python3.2
...(algumas informações escritas na tela)...
...
>>> import pygame

Se aparecer um prompt com esta "cara": >>>

Significa que o módulo foi importado com sucesso, o PyGame está instalado.

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Preparando o Linux Mint 20 para instalar o Plugin coc.nvim no VIM

Criando repositório de módulos Python localmente

Erro ao rodar o IDLE no Python 3.0 b3

Input do tipo senha em Python

InstaPy: Error, unable to determine correct filename for 64bit linux [Resolvido]

  

Comentários
[1] Comentário enviado por gustavo1604 em 18/11/2013 - 22:40h

Perfeito! Vlw Paulo.

[2] Comentário enviado por 648trindade em 02/02/2015 - 10:24h


Testado no Debian Wheezy (7.6)

funciona, mas é necessário que insira python3-dev na listinha de pacotes necessários

obrigado!

[3] Comentário enviado por MogMag623 em 31/10/2016 - 16:12h

eu tive um problema na instalação:

Hunting dependencies...
/bin/sh: 1: freetype-config: not found
/bin/sh: 1: freetype-config: not found
/bin/sh: 1: freetype-config: not found
WARNING: "freetype-config" failed!
SDL : found 1.2.15
FONT : found
IMAGE : found
MIXER : found
PNG : found
JPEG : found
SCRAP : found
PORTMIDI: found
PORTTIME: found
FREETYPE: not found

Warning, some of the pygame dependencies were not found. Pygame can still
compile and install, but games that depend on those missing dependencies
will not run. Would you like to continue the configuration? [Y/n]:y

If you get compiler errors during install, doublecheck
the compiler flags in the "Setup" file.


alguém sabe como posso arrumar?



Contribuir com comentário